{
  "anvil_cost": 4,
  "description": {
    "translate": "enchantment.minecraft.impaling"
  },
  "effects": {
    "minecraft:damage": [
      {
        "effect": {
          "type": "minecraft:add",
          "value": {
            "type": "minecraft:linear",
            "base": 2,
            "per_level_above_first": 1
          }
        },
        "requirements": {
          "condition": "minecraft:entity_properties",
          "entity": "direct_attacker",
          "predicate": {
            "type": "minecraft:trident"
          }
        }
      }
    ],
    "minecraft:armor_effectiveness": [
      {
        "requirements": {
          "condition": "minecraft:entity_properties",
          "entity": "direct_attacker",
          "predicate": {
            "type": "minecraft:trident"
          }
        },
        "effect": {
          "type": "minecraft:add",
          "value": {
            "type": "minecraft:linear",
            "base": -0.1,
            "per_level_above_first": -0.05
          }
        }
      }
    ]
  },
  "exclusive_set": "#minecraft:exclusive_set/damage",
  "max_cost": {
    "base": 21,
    "per_level_above_first": 8
  },
  "max_level": 5,
  "min_cost": {
    "base": 1,
    "per_level_above_first": 8
  },
  "slots": [
    "mainhand"
  ],
  "supported_items": "#minecraft:enchantable/trident",
  "weight": 2
}